Bug 176703 - OOO crashes handling some images
OOO crashes handling some images
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-30 06:24 EST by Julio Sanchez Fernandez
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-03 06:28:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Document that crashes ooo (19.19 KB, application/octet-stream)
2005-12-30 06:24 EST, Julio Sanchez Fernandez
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 51301 None None None Never

  None (edit)
Description Julio Sanchez Fernandez 2005-12-30 06:24:14 EST
Created attachment 122640 [details]
Document that crashes ooo
Comment 1 Julio Sanchez Fernandez 2005-12-30 06:24:14 EST
Description of problem:
Some images make openoffice crash while opening or handling OpenOffice format
text files produced by GRAMPS.

Version-Release number of selected component (if applicable):
openoffice.org-core-2.0.1-143.2.1

How reproducible:
Every time.

Steps to Reproduce:
1. Open the attached file
2.
3.
  
Actual results:
Crashes with:
$ /usr/lib/openoffice.org2.0/program/soffice: line 156:  5677 Violación de
segmento  (core dumped) "$sd_prog/$sd_binary" "$@"

Expected results:


Additional info:
The sample file is produced by GRAMPS.  The problem seems image-specific, since
other images are shown normally.  I have produced a very short file containing
just one failing image to exhibit the problem.

Though I have not marked it as security-related, it is a crash induced by user
input.  The potential security problem there should be considered.
Comment 2 Julio Sanchez Fernandez 2006-01-02 02:56:06 EST
The problem is related to the path name to the image, it is coded as iso-8859-1,
while the reference to it in the manifest and in contents.xml is in utf-8. 
However, changing the path name encoding to utf-8 does not fix it, it still
dies. In fact, I have been unable to find any encoding that does not make it
crash.  Apparently, it is impossible to have an embedded image that has a name
inside the .zip file that is not pure plain ASCII.

Nonetheless, and whether this is supported or not, ooo must not crash on this.
Comment 3 Caolan McNamara 2006-01-03 06:28:21 EST
http://qa.openoffice.org/issues/show_bug.cgi?id=51301 is relevent here

Note You need to log in before you can comment on or make changes to this bug.